List workflow task groups
List workflow task groups
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
ids
Comma separated list of workflow task group IDs
schemaId
The workflow task schema ID of tasks in this task group
folderId
A folder ID
projectId
A project ID
mentionedIn
A comma separated list entry IDs
watcherIds
Comma separated list of user IDs or "null"
executionTypes
Comma separated list of workflow execution types. Acceptable execution types are "DIRECT" and "ENTRY"
responsibleTeamIds
Comma separated list of team IDs or "null"
statusIds.anyOf
Commas separated list of Status ids. Maximum of 100. Returns workflows where at least one task is of one of the provided statuses.
statusIds.noneOf
Commas separated list of Status ids. Returns workflows where none of the tasks are of any of the provided statuses.
statusIds.only
Commas separated list of Status ids. Returns workflows where all of the tasks are of one of the provided statuses.
name
The name of the workflow task group
nameIncludes
Part of the name of the workflow task group
creatorIds
Comma separated list of user IDs.
modifiedAt
Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.
nextToken
pageSize
displayIds
Comma-separated list of Workflow Display IDs.
archiveReason
Archive reason. Restricts items to those with the specified archive reason. Use “NOT_ARCHIVED” to filter for unarchived workflow task groups. Use “ANY_ARCHIVED” to filter for archived workflow task groups regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived.
Response
OK
nextToken
workflowTaskGroups
Errors
400
Bad Request Error